Bug 186365 - Remove unused image encoders
Summary: Remove unused image encoders
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: PC Linux
: P2 Normal
Assignee: Michael Catanzaro
URL:
Keywords: InRadar
: 54915 (view as bug list)
Depends on:
Blocks:
 
Reported: 2018-06-06 15:43 PDT by Michael Catanzaro
Modified: 2022-06-02 09:05 PDT (History)
8 users (show)

See Also:


Attachments
Patch (14.35 KB, patch)
2018-06-06 15:45 PDT, Michael Catanzaro
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews206 for win-future (12.85 MB, application/zip)
2018-06-06 18:20 PDT, EWS Watchlist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2018-06-06 15:43:55 PDT
Miguel noticed that platform/image-encoders is unused
Comment 1 Michael Catanzaro 2018-06-06 15:44:16 PDT
Miguel: "GTK and WPE ports use cairo_surface_write_to_png_stream() to export ImageBuffers to PNG and they don't support exporting to JPEG."
Comment 2 Michael Catanzaro 2018-06-06 15:45:25 PDT
Created attachment 342088 [details]
Patch
Comment 3 EWS Watchlist 2018-06-06 18:20:39 PDT
Comment on attachment 342088 [details]
Patch

Attachment 342088 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/8041847

New failing tests:
http/tests/security/contentSecurityPolicy/userAgentShadowDOM/allow-audio.html
Comment 4 EWS Watchlist 2018-06-06 18:20:50 PDT
Created attachment 342103 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 5 WebKit Commit Bot 2018-06-07 00:04:27 PDT
Comment on attachment 342088 [details]
Patch

Clearing flags on attachment: 342088

Committed r232575: <https://trac.webkit.org/changeset/232575>
Comment 6 WebKit Commit Bot 2018-06-07 00:04:28 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-06-07 00:06:23 PDT
<rdar://problem/40883635>
Comment 8 Alexey Proskuryakov 2022-06-02 09:05:58 PDT
*** Bug 54915 has been marked as a duplicate of this bug. ***